Skip to main content
REST API reference
A newer release of this product is available.

Updates the ndmp configuration for a specific svm

learn more

  • [doc /protocols/ndmp/svms](#docs-ndmp-protocols_ndmp_svms)

PATCH /protocols/ndmp/svms/{svm.uuid}

Introduced In: 9.7

Updates the NDMP configuration for a specific SVM.

  • vserver services ndmp modify

Parameters

Name Type In Required Description

svm.uuid

string

path

True

SVM UUID

Request Body

Name Type Description

authentication_types

array[string]

NDMP authentication types.

enabled

boolean

Is the NDMP service enabled on the SVM?

svm

svm

Example request
{
  "authentication_types": [
    "plaintext",
    "challenge"
  ],
  "enabled": 1,
  "svm": {
    "name": "svm1",
    "uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
  }
}

Response

Status: 200, Ok
Name Type Description

authentication_types

array[string]

NDMP authentication types.

enabled

boolean

Is the NDMP service enabled on the SVM?

svm

svm

Example response
{
  "authentication_types": [
    "plaintext",
    "challenge"
  ],
  "enabled": 1,
  "svm": {
    "name": "svm1",
    "uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
  }
}

Error

Status: Default, Error

Definitions

See Definitions

href

Name Type Description

href

string

svm

Name Type Description

name

string

The name of the SVM.

uuid

string

The unique identifier of the SVM.

ndmp_svm

Name Type Description

authentication_types

array[string]

NDMP authentication types.

enabled

boolean

Is the NDMP service enabled on the SVM?

svm

svm

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response